Subject: Re: lang/perl5 vs. lang/perl58
To: Todd Vierling <>
From: Greg A. Woods <>
List: tech-pkg
Date: 01/10/2005 17:01:20
[ On Monday, January 10, 2005 at 13:51:31 (-0500), Todd Vierling wrote: ]
> Subject: Re: lang/perl5 vs. lang/perl58
> On Mon, 10 Jan 2005, Greg A. Woods wrote:
> > Is anyone considering fixing the lang/perl5 vs. lang/perl58 "conflict"
> > in the same way that lang/ruby now so elegantly solves this same problem?
> I should hope not.  The intent is to do away with perl 5.6 altogether,
> sometime in the near future (probably before the next quarterly branch).

Those two things are not related.

Regardless of whether or when perl-5.6 is done away with it should still
always be possible to simultaneously install any number of verstions any
interpreter, perl included, and without using pkgviews, and not have
them interfere in any way with each other and to always have all
installed packages which have any specific dependency on any given
version always require and use that particular version.

This is already possible with ruby (finally), and it more or less works
with python too.

						Greg A. Woods

H:+1 416 218-0098  W:+1 416 489-5852 x122  VE3TCP  RoboHack <>
Planix, Inc. <>          Secrets of the Weird <>